<?php
header("Content-Type: text/javascript");

$giorno = $HTTP_GET_VARS["giorno"];
$version = $HTTP_GET_VARS["version"];

$ch = curl_init();

$url = "http://www.arpa.veneto.it/bollettini/htm/meteo_veneto.asp";

curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_TIMEOUT, 30);
$result=curl_exec ($ch);
curl_close ($ch);

$giorni = array ("Domenica",
                 "Lunedi",
                 "Martedi",
                 "Mercoledi",
                 "Giovedi",
                 "Venerdi",
                 "Sabato",
                 "Domenica",
                 "Lunedi",
                 "Martedi",
                 "Mercoledi",
                 "Giovedi",
                 "Venerdi",
                 "Sabato");
$day = date("w");
//$hour = date("H");
//$minutes = date("i");
$yyyymmdd_sistema = date("Ymd");

$arrPagina = explode("\n", $result);

for($i = 0; $i <= count($arrPagina); $i++) {
    #$ricerca = ".*cartine/colori/CT(........)(.).*";
    $ricerca = ".*http://www.arpa.veneto.it/upload_teolo/bollettini_meteo/meteoveneto/(.......).*";
    if (eregi($ricerca, $arrPagina[$i])) {
        /*il nome cartina vale ct1.jpg, ct2.jpg etc. etc.*/
        $cartina = eregi_replace($ricerca, "\\1", $arrPagina[$i]);
        if (substr($cartina, 0, 2) == "ct") {
            $elenco_cartine[count($elenco_cartine)] = $cartina;
        }
    }

    $ricerca = ".*border:0px;..(.*)<.*";
    if (eregi($ricerca, $arrPagina[$i])) {
        $previsione = eregi_replace($ricerca, "\\1", $arrPagina[$i]);
        echo "_DATE".trim(strip_tags($previsione))."DATE_\n";
    }
}

echo "_DATEN".$yyyymmdd_sistema."DATEN_\n"; //per compatibilit con il vecchio protocollo

$elenco_giorni[count($elenco_giorni)] = "Pomeriggio/sera";
$elenco_giorni[count($elenco_giorni)] = $giorni[$day];
$elenco_giorni[count($elenco_giorni)] = $giorni[$day+1];
$elenco_giorni[count($elenco_giorni)] = $giorni[$day+2];
$elenco_giorni[count($elenco_giorni)] = $giorni[$day+3];

$conta_giorno = 0;
for ($j = 0; $j < count($elenco_giorni); $j++) {
    for($i = 0; $i < count($arrPagina); $i++) {
        $ricerca = ".*<h3>(.*)<\/h3>.*";
        if (eregi($ricerca, $arrPagina[$i])) {
            $previsione = eregi_replace($ricerca, "\\1", $arrPagina[$i]);
            $arrPrevisione = split(" ", $previsione);
            if ((replace_noaccenti($arrPrevisione[0]) == $elenco_giorni[$j])
             or ($previsione == $elenco_giorni[$j])) {
                echo "_DAY".replace_noaccenti($previsione)."DAY_\n";
                echo "_IMG".$elenco_cartine[$conta_giorno]."IMG_\n";
                $conta_giorno++;

                for ($y = $i+1; $y < count($arrPagina); $y++) {
                    $ricerca = ".*<h3>.*";
                    if (eregi($ricerca, $arrPagina[$y])) break;

                    $ricerca = ".*<h2>.*";
                    if (eregi($ricerca, $arrPagina[$y])) break;

                    $text = $arrPagina[$y];
                    $text = trim(strip_tags(replace_accenti($text)))."\n";
                    if ($text != "\n") { echo $text; }
                }
            }
        }
    }
}

function replace_accenti($stringa) {
    $stringa = str_replace("&egrave;", "", $stringa);
    $stringa = str_replace("&ugrave;", "", $stringa);
    $stringa = str_replace("&agrave;", "", $stringa);
    $stringa = str_replace("&igrave;", "", $stringa);
    $stringa = str_replace("&ograve;", "", $stringa);
    $stringa = str_replace("&eacute;", "", $stringa);
    $stringa = str_replace("&deg;", "", $stringa);
    $stringa = str_replace("<br>", "\n", $stringa);
    $stringa = str_replace("<BR>", "\n", $stringa);
    return $stringa;
}

function replace_noaccenti($stringa) {
    $stringa = str_replace("&egrave;", "e", $stringa);
    $stringa = str_replace("&ugrave;", "u", $stringa);
    $stringa = str_replace("&agrave;", "a", $stringa);
    $stringa = str_replace("&igrave;", "i", $stringa);
    $stringa = str_replace("&ograve;", "o", $stringa);
    $stringa = str_replace("&eacute;", "e", $stringa);
    $stringa = str_replace("&deg;", "", $stringa);
    $stringa = str_replace("<br>", "\n", $stringa);
    $stringa = str_replace("<BR>", "\n", $stringa);
    return $stringa;
}

?>

